<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: BLEEddystoneTLM Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classBLEEddystoneTLM-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BLEEddystoneTLM Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Representation of a beacon. See:  
 <a href="classBLEEddystoneTLM.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="BLEEddystoneTLM_8h_source.html">BLEEddystoneTLM.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2fe03a3c03bca087947fea1421b30699"><td class="memItemLeft" align="right" valign="top"><a id="a2fe03a3c03bca087947fea1421b30699"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getData</b> ()</td></tr>
<tr class="separator:a2fe03a3c03bca087947fea1421b30699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2035f00599231feba151cbd402eefc54"><td class="memItemLeft" align="right" valign="top"><a id="a2035f00599231feba151cbd402eefc54"></a>
BLEUUID&#160;</td><td class="memItemRight" valign="bottom"><b>getUUID</b> ()</td></tr>
<tr class="separator:a2035f00599231feba151cbd402eefc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18b67a041b0777b294a91730f1ab40c1"><td class="memItemLeft" align="right" valign="top"><a id="a18b67a041b0777b294a91730f1ab40c1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>getVersion</b> ()</td></tr>
<tr class="separator:a18b67a041b0777b294a91730f1ab40c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8081fd15efe829500fdbf18828cd489c"><td class="memItemLeft" align="right" valign="top"><a id="a8081fd15efe829500fdbf18828cd489c"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>getVolt</b> ()</td></tr>
<tr class="separator:a8081fd15efe829500fdbf18828cd489c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e2e1e5e68eaef5b5aa369b3c76f924f"><td class="memItemLeft" align="right" valign="top"><a id="a1e2e1e5e68eaef5b5aa369b3c76f924f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>getTemp</b> ()</td></tr>
<tr class="separator:a1e2e1e5e68eaef5b5aa369b3c76f924f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a561c4dd2b579f65378e4e924ef235f67"><td class="memItemLeft" align="right" valign="top"><a id="a561c4dd2b579f65378e4e924ef235f67"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>getCount</b> ()</td></tr>
<tr class="separator:a561c4dd2b579f65378e4e924ef235f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add76eb6f457de5178495995bb297ddca"><td class="memItemLeft" align="right" valign="top"><a id="add76eb6f457de5178495995bb297ddca"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>getTime</b> ()</td></tr>
<tr class="separator:add76eb6f457de5178495995bb297ddca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a161f5661ff9129532563e3f6a64150ba"><td class="memItemLeft" align="right" valign="top"><a id="a161f5661ff9129532563e3f6a64150ba"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> ()</td></tr>
<tr class="separator:a161f5661ff9129532563e3f6a64150ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bfaa6a95004c5134f892ad14e34309e"><td class="memItemLeft" align="right" valign="top"><a id="a0bfaa6a95004c5134f892ad14e34309e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setData</b> (std::string data)</td></tr>
<tr class="separator:a0bfaa6a95004c5134f892ad14e34309e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7616707dc3c24a89a4b8bbb5cbe61e38"><td class="memItemLeft" align="right" valign="top"><a id="a7616707dc3c24a89a4b8bbb5cbe61e38"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setUUID</b> (BLEUUID l_uuid)</td></tr>
<tr class="separator:a7616707dc3c24a89a4b8bbb5cbe61e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abebdea107d1e80e3702d07819643cc41"><td class="memItemLeft" align="right" valign="top"><a id="abebdea107d1e80e3702d07819643cc41"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setVersion</b> (uint8_t version)</td></tr>
<tr class="separator:abebdea107d1e80e3702d07819643cc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f10ddbf2e1bd87ba1e6ec701c41c93"><td class="memItemLeft" align="right" valign="top"><a id="a56f10ddbf2e1bd87ba1e6ec701c41c93"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setVolt</b> (uint16_t volt)</td></tr>
<tr class="separator:a56f10ddbf2e1bd87ba1e6ec701c41c93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2560d8378ad81bbe588a688e4cf9a31d"><td class="memItemLeft" align="right" valign="top"><a id="a2560d8378ad81bbe588a688e4cf9a31d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setTemp</b> (float temp)</td></tr>
<tr class="separator:a2560d8378ad81bbe588a688e4cf9a31d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3039d58f6a590c015aadf9bec4ddd70"><td class="memItemLeft" align="right" valign="top"><a id="ac3039d58f6a590c015aadf9bec4ddd70"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setCount</b> (uint32_t advCount)</td></tr>
<tr class="separator:ac3039d58f6a590c015aadf9bec4ddd70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a772e5e34c44faf9031c9b5746fe8704e"><td class="memItemLeft" align="right" valign="top"><a id="a772e5e34c44faf9031c9b5746fe8704e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setTime</b> (uint32_t tmil)</td></tr>
<tr class="separator:a772e5e34c44faf9031c9b5746fe8704e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Representation of a beacon. See: </p>
<ul>
<li><a href="https://github.com/google/eddystone">https://github.com/google/eddystone</a> </li>
</ul>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="BLEEddystoneTLM_8h_source.html">BLEEddystoneTLM.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
